CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
  What's the CVSS score of your company?
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

SAP : Security Vulnerabilities (CVSS score between 5 and 5.99)

Press ESC to close
# CVE ID CWE ID # of Exploits Vulnerability Type(s) Publish Date Update Date Score Gained Access Level Access Complexity Authentication Conf. Integ. Avail.
51 CVE-2020-6308 918 Bypass File Inclusion 2020-10-20 2020-10-22
5.0
None Remote Low Not required Partial None None
SAP BusinessObjects Business Intelligence Platform (Web Services) versions - 410, 420, 430, allows an unauthenticated attacker to inject arbitrary values as CMS parameters to perform lookups on the internal network which is otherwise not accessible externally. On successful exploitation, attacker can scan internal network to determine internal infrastructure and gather information for further attacks like remote file inclusion, retrieve server files, bypass firewall and force the vulnerable server to perform malicious requests, resulting in a Server-Side Request Forgery vulnerability.
52 CVE-2020-6304 20 DoS 2020-01-14 2020-01-24
5.0
None Remote Low Not required None None Partial
Improper input validation in SAP NetWeaver Internet Communication Manager (update provided in KRNL32NUC & KRNL32UC 7.21, 7.21EXT, 7.22, 7.22EXT KRNL64NUC & KRNL64UC 7.21, 7.21EXT, 7.22, 7.22EXT, 7.49 KERNEL 7.21, 7.49, 7.53) allows an attacker to prevent users from accessing its services through a denial of service.
53 CVE-2020-6301 862 2020-08-12 2020-08-13
5.5
None Remote Low ??? Partial Partial None
SAP ERP (HCM Travel Management), versions - 600, 602, 603, 604, 605, 606, 607, 608, allows an authenticated but unauthorized attacker to read, modify and settle trips, resulting in escalation of privileges, due to Missing Authorization Check.
54 CVE-2020-6298 862 2020-08-12 2020-08-14
5.5
None Remote Low ??? Partial Partial None
SAP Banking Services (Generic Market Data), versions - 400, 450, 500, allows an unauthorized user to display protected Business Partner Generic Market Data (GMD) and change related GMD key figure values, due to Missing Authorization Check.
55 CVE-2020-6288 434 2020-09-09 2020-09-10
5.0
None Remote Low Not required None Partial None
SAP Business Objects Business Intelligence Platform (Web Intelligence HTML interface) allows an attacker with edit document rights to upload any file (including script files) without proper file format validation leading to Unrestricted upload of file with dangerous type vulnerability. The attacker can modify some formulas and display erroneous content. The server is not affected only the current user browser session, that can easily be closed.
56 CVE-2020-6286 22 Dir. Trav. 2020-07-14 2020-07-15
5.0
None Remote Low Not required Partial None None
The insufficient input path validation of certain parameter in the web service of SAP NetWeaver AS JAVA (LM Configuration Wizard), versions - 7.30, 7.31, 7.40, 7.50, allows an unauthenticated attacker to exploit a method to download zip files to a specific directory, leading to Path Traversal.
57 CVE-2020-6282 918 2020-07-14 2020-07-15
5.0
None Remote Low Not required Partial None None
SAP NetWeaver AS JAVA (IIOP service) (SERVERCORE), versions 7.10, 7.11, 7.20, 7.30, 7.31, 7.40, 7.50, and SAP NetWeaver AS JAVA (IIOP service) (CORE-TOOLS), versions 7.10, 7.11, 7.20, 7.30, 7.31, 7.40, 7.50, allows an attacker to send a crafted request from a vulnerable web application. It is usually used to target internal systems behind firewalls that are normally inaccessible to an attacker from the external network, resulting in a Server-Side Request Forgery vulnerability.
58 CVE-2020-6271 91 2020-06-10 2020-06-16
5.5
None Remote Low ??? Partial None Partial
SAP Solution Manager (Problem Context Manager), version 7.2, does not perform the necessary authentication, allowing an attacker to consume large amounts of memory, causing the system to crash and read restricted data (files visible for technical administration users of the diagnostics agent).
59 CVE-2020-6268 862 2020-06-10 2020-06-16
5.5
None Remote Low ??? Partial Partial None
Statutory Reporting for Insurance Companies in SAP ERP (EA-FINSERV versions - 600, 603, 604, 605, 606, 616, 617, 618, 800 and S4CORE versions 101, 102, 103, 104) does not execute the required authorization checks for an authenticated user, allowing an attacker to view and tamper with certain restricted data leading to Missing Authorization Check.
60 CVE-2020-6267 732 2020-07-14 2020-07-23
5.8
None Remote Medium Not required Partial Partial None
Some sensitive cookies in SAP Disclosure Management, version 10.1, are missing HttpOnly flag, leading to sensitive cookie without Http Only flag.
61 CVE-2020-6264 200 +Info 2020-06-10 2021-07-21
5.0
None Remote Low Not required Partial None None
SAP Commerce, versions - 6.7, 1808, 1811, 1905, may allow an attacker to access information under certain conditions which would otherwise be restricted, leading to Information Disclosure.
62 CVE-2020-6261 74 2020-07-01 2021-07-21
5.0
None Remote Low Not required None Partial None
SAP Solution Manager (Trace Analysis), version 7.20, allows an attacker to perform a log injection into the trace file, due to Incomplete XML Validation. The readability of the trace file is impaired.
63 CVE-2020-6260 91 2020-06-10 2020-06-16
5.0
None Remote Low Not required None Partial None
SAP Solution Manager (Trace Analysis), version 7.20, allows an attacker to inject superflous data that can be displayed by the application, due to Incomplete XML Validation. The application shows additional data that do not actually exist.
64 CVE-2020-6252 200 +Info 2020-05-12 2021-07-21
5.2
None Local Network Low ??? Partial Partial Partial
Under certain conditions SAP Adaptive Server Enterprise (Cockpit), version 16.0, allows an attacker with access to local network, to get sensitive and confidential information, leading to Information Disclosure. It can be used to get user account credentials, tamper with system data and impact system availability.
65 CVE-2020-6251 200 +Info 2020-05-12 2021-07-21
5.0
None Remote Low Not required Partial None None
Under certain conditions or error scenarios SAP Business Objects Business Intelligence Platform, version 4.2, allows an attacker to access information which would otherwise be restricted.
66 CVE-2020-6247 20 2020-05-12 2021-07-21
5.0
None Remote Low Not required None None Partial
SAP Business Objects Business Intelligence Platform, version 4.2, allows an unauthenticated attacker to prevent legitimate users from accessing a service. Using a specially crafted request, the attacker can crash or flood the Central Management Server, thereby impacting system availability.
67 CVE-2020-6240 20 DoS 2020-05-12 2021-07-21
5.0
None Remote Low Not required None None Partial
SAP NetWeaver AS ABAP (Web Dynpro ABAP), versions (SAP_UI 750, 752, 753, 754 and SAP_BASIS 700, 710, 730, 731, 804) allows an unauthenticated attacker to prevent legitimate users from accessing a service, either by crashing or flooding the service leading to Denial of Service
68 CVE-2020-6237 200 +Info 2020-04-14 2021-07-21
5.0
None Remote Low Not required Partial None None
Under certain conditions, SAP Business Objects Business Intelligence Platform, version 4.1, 4.2, dswsbobje web application allows an attacker to access information which would otherwise be restricted, leading to Information Disclosure.
69 CVE-2020-6235 287 2020-04-14 2021-07-21
5.0
None Remote Low Not required Partial None None
SAP Solution Manager (Diagnostics Agent), version 7.2, does not perform the authentication check for the functionalities of the Collector Simulator, leading to Missing Authentication.
70 CVE-2020-6232 862 2020-04-14 2020-04-15
5.0
None Remote Low Not required Partial None None
SAP Commerce, versions 1811, 1905, does not perform necessary authorization checks for an anonymous user, due to Missing Authorization Check. This affects confidentiality of secure media.
71 CVE-2020-6227 20 2020-04-14 2021-07-21
5.0
None Remote Low Not required None Partial None
SAP Business Objects Business Intelligence Platform (CMS / Auditing issues), version 4.2, allows attacker to send specially crafted GIOP packets to several services due to Improper Input Validation, allowing to forge additional entries in GLF log files.
72 CVE-2020-6223 601 2020-04-14 2020-04-15
5.8
None Remote Medium Not required Partial Partial None
The open document of SAP Business Objects Business Intelligence Platform, versions 4.1, 4.2, allows an attacker to modify certain error pages to include malicious content. This can misdirect a user who is tricked into accessing these error pages rendered by the application, leading to Content Spoofing.
73 CVE-2020-6215 601 2020-04-14 2020-04-15
5.8
None Remote Medium Not required Partial Partial None
SAP NetWeaver AS ABAP Business Server Pages Test Application IT00, versions 700, 701, 702, 730, 731, 740, 750, 751, 752, 753, 754, allows an attacker to redirect users to a malicious site due to insufficient URL validation and steal credentials of the victim, leading to URL Redirection vulnerability.
74 CVE-2020-6212 862 2020-04-24 2020-05-08
5.5
None Remote Low ??? Partial Partial None
Egypt localized withholding tax reports Clearing of Liabilities and Remittance Statement and Summary in SAP ERP (versions 618, 730, EAPPLGLO 607) and S/4 HANA (versions 100, 101, 102, 103, 104) do not perform necessary authorization checks for an authenticated user, allowing reading or modification of some tax reports, due to Missing Authorization Check.
75 CVE-2020-6211 601 2020-04-14 2020-04-15
5.8
None Remote Medium Not required Partial Partial None
SAP Business Objects Business Intelligence Platform (AdminTools), versions 4.1, 4.2, allows an attacker to redirect users to a malicious site due to insufficient URL validation and steal credentials of the victim, leading to URL Redirection vulnerability.
76 CVE-2020-6199 862 2020-03-10 2020-03-12
5.5
None Remote Low ??? Partial Partial None
The view FIMENAV_COMPCERT in SAP ERP (MENA Certificate Management), EAPPGLO version 607, SAP_FIN versions- 618, 730 and SAP S/4HANA (MENA Certificate Management), S4CORE versions- 100, 101, 102, 103, 104; does not have any authorization check to it due to which an attacker without an authorization group can maintain any company certificate, leading to Missing Authorization Check.
77 CVE-2020-6196 DoS 2020-03-10 2020-03-11
5.0
None Remote Low Not required None None Partial
SAP BusinessObjects Mobile (MobileBIService), version 4.2, allows an attacker to generate multiple requests, using which he can block all the threads resulting in a Denial of Service.
78 CVE-2020-6195 319 2020-04-14 2021-07-21
5.0
None Remote Low Not required Partial None None
SAP Business Objects Business Intelligence Platform (CMC), version 4.1, 4.2, shows cleartext password in the response, leading to Information Disclosure. It involves social engineering in order to gain access to system and If password is known, it would give administrative rights to the attacker to read/modify delete the data and rights within the system.
79 CVE-2020-6190 200 +Info 2020-02-12 2020-02-19
5.0
None Remote Low Not required Partial None None
Certain vulnerable endpoints in SAP NetWeaver AS Java (Heap Dump Application), versions 7.30, 7.31, 7.40, 7.50, provide valuable information about the system like hostname, server node and installation path that could be misused by an attacker leading to Information Disclosure.
80 CVE-2020-6189 200 +Info 2020-02-12 2021-07-21
5.0
None Remote Low Not required Partial None None
Certain settings page(s) in SAP Business Objects Business Intelligence Platform (CMC), version 4.2, generates error messages that can give enterprise private-network related information which would otherwise be restricted leading to Information Disclosure.
81 CVE-2020-6186 306 DoS 2020-02-12 2020-02-19
5.0
None Remote Low Not required None None Partial
SAP Host Agent, version 7.21, allows an attacker to cause a slowdown in processing of username/password-based authentication requests of the SAP Host Agent, leading to Denial of Service.
82 CVE-2020-6181 Http R.Spl. 2020-02-12 2020-02-21
5.0
None Remote Low Not required None Partial None
Under some circumstances the SAML SSO implementation in the SAP NetWeaver (SAP_BASIS versions 702, 730, 731, 740 and SAP ABAP Platform (SAP_BASIS versions 750, 751, 752, 753, 754), allows an attacker to include invalidated data in the HTTP response header sent to a Web user, leading to HTTP Response Splitting vulnerability.
83 CVE-2020-6178 613 2020-03-10 2021-07-21
5.5
None Remote Low ??? Partial Partial None
SAP Enable Now, before version 1911, sends the Session ID cookie value in URL. This might be stolen from the browser history or log files, leading to Information Disclosure.
84 CVE-2019-0405 200 +Info 2019-12-11 2019-12-17
5.0
None Remote Low Not required Partial None None
SAP Enable Now, before version 1911, leaks information about the existence of a particular user which can be used to construct a list of users, leading to a user enumeration vulnerability and Information Disclosure.
85 CVE-2019-0404 209 +Info 2019-12-11 2020-08-24
5.0
None Remote Low Not required Partial None None
SAP Enable Now, before version 1911, leaks information about network configuration in the server error messages, leading to Information Disclosure.
86 CVE-2019-0396 20 2019-11-13 2019-11-15
5.5
None Remote Low ??? Partial None Partial
SAP BusinessObjects Business Intelligence Platform (Web Intelligence HTML interface), corrected in versions 4.1 and 4.2, does not sufficiently validate an XML document accepted from an untrusted source. An attacker can craft a message that contains malicious elements that will not be correctly filtered by Web Intelligence HTML interface in some specific workflows.
87 CVE-2019-0388 290 2019-11-13 2019-11-20
5.0
None Remote Low Not required None Partial None
SAP UI5 HTTP Handler (corrected in SAP_UI versions 7.5, 7.51, 7.52, 7.53, 7.54 and SAP UI_700 version 2.0) allows an attacker to manipulate content due to insufficient URL validation.
88 CVE-2019-0379 345 2019-10-08 2021-07-21
5.0
None Remote Low Not required None Partial None
SAP Process Integration, business-to-business add-on, versions 1.0, 2.0, does not perform authentication check properly when the default security provider is changed to BouncyCastle (BC), leading to Missing Authentication Check
89 CVE-2019-0363 2019-09-10 2020-08-24
5.5
None Remote Low ??? Partial None Partial
Attackers may misuse an HTTP/REST endpoint of SAP HANA Extended Application Services (Advanced model), before version 1.0.118, to overload the server or retrieve information about internal network ports.
90 CVE-2019-0352 200 +Info 2019-09-10 2019-09-11
5.0
None Remote Low Not required Partial None None
In SAP Business Objects Business Intelligence Platform, before versions 4.1, 4.2 and 4.3, some dynamic pages (like jsp) are cached, which leads to an attacker can see the sensitive information via cache and can open the dynamic pages even after logout.
91 CVE-2019-0350 DoS 2019-11-04 2020-08-24
5.0
None Remote Low Not required None None Partial
SAP HANA Database, versions 1.0, 2.0, allows an unauthorized attacker to send a malformed connection request, which crashes the indexserver of an SAP HANA instance, leading to Denial of Service
92 CVE-2019-0345 918 2019-08-14 2019-08-23
5.0
None Remote Low Not required Partial None None
A remote unauthenticated attacker can abuse a web service in SAP NetWeaver Application Server for Java (Administrator System Overview), versions 7.30, 7.31, 7.40, 7.50, by sending a specially crafted XML file and trick the application server into leaking authentication credentials for its own SAP Management console, resulting in Server-Side Request Forgery.
93 CVE-2019-0340 611 2019-08-14 2020-08-24
5.5
None Remote Low ??? Partial Partial None
The XML parser, which is being used by SAP Enable Now, before version 1902, has not been hardened correctly, leading to Missing XML Validation vulnerability. This issue affects the file upload at multiple locations. An attacker can read local XXE files.
94 CVE-2019-0338 200 +Info 2019-08-14 2019-08-26
5.0
None Remote Low Not required Partial None None
During an OData V2/V4 request in SAP Gateway, versions 750, 751, 752, 753, the HTTP Header attributes cache-control and pragma were not properly set, allowing an attacker to access restricted information, resulting in Information Disclosure.
95 CVE-2019-0331 2019-08-14 2020-08-24
5.0
None Remote Low Not required Partial None None
Under certain conditions, SAP BusinessObjects Business Intelligence Platform (BI Workspace), versions 4.1, 4.2, 4.3, allows an attacker to access sensitive data such as directory structure, leading to Information Disclosure.
96 CVE-2019-0322 2019-07-10 2020-08-24
5.0
None Remote Low Not required None None Partial
SAP Commerce Cloud (previously known as SAP Hybris Commerce), (HY_COM, versions 6.3, 6.4, 6.5, 6.6, 6.7, 1808, 1811), allows an attacker to prevent legitimate users from accessing a service, either by crashing or flooding the service.
97 CVE-2019-0319 79 XSS 2019-07-10 2020-08-24
5.0
None Remote Low Not required None Partial None
The SAP Gateway, versions 7.5, 7.51, 7.52 and 7.53, allows an attacker to inject content which is displayed in the form of an error message. An attacker could thus mislead a user to believe this information is from the legitimate service when it's not.
98 CVE-2019-0315 2019-06-12 2020-08-24
5.0
None Remote Low Not required Partial None None
Under certain conditions the PI Integration Builder Web UI of SAP NetWeaver Process Integration (versions: SAP_XIESR: 7.10 to 7.11, 7.20, 7.30, 7.31, 7.40, 7.50, SAP_XITOOL: 7.10 to 7.11, 7.30, 7.31, 7.40, 7.50 and SAP_XIPCK 7.10 to 7.11, 7.20, 7.30) allows an attacker to access passwords used in FTP channels leading to information disclosure.
99 CVE-2019-0312 306 2019-06-12 2020-08-24
5.0
None Remote Low Not required Partial None None
Several web pages provided SAP NetWeaver Process Integration (versions: SAP_XIESR: 7.10 to 7.11, 7.20, 7.30, 7.31, 7.40, 7.50 and SAP_XITOOL: 7.10 to 7.11, 7.30, 7.31, 7.40, 7.50) are not password protected. An attacker could access landscape information like host names, ports or other technical data in the absence of restrictive firewall and port settings.
100 CVE-2019-0289 2019-05-14 2020-08-24
5.8
None Remote Medium Not required Partial Partial None
Under certain conditions SAP BusinessObjects Business Intelligence platform (Analysis for OLAP), versions 4.2 and 4.3, allows an attacker to access information which would otherwise be restricted.
Total number of vulnerabilities : 264   Page : 1 2 (This Page)3 4 5 6
CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.